Logic.CreateEntity(Entities.CB_Evil_Tower1, 23100.00, 55100.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinHouse1, 23700.00, 55700.00, 90.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 23700.00, 55700.00, 0.00, 2);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 23010.00, 55910.00, 60.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp02, 23001.85, 56582.86, 270.00, 0);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 23700.00, 56600.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 23700.00, 57600.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinHouse1, 23700.00, 57600.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 23000.00, 57800.00, 0.00, 2);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 22995.54, 57207.80, 0.00, 0);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 25500.00, 59400.00, 0.00, 2);
Logic.CreateEntity(Entities.XD_Evil_Camp02, 24553.06, 60285.72, 135.00, 0);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 24200.00, 61400.00, 0.00, 2);
Logic.CreateEntity(Entities.XD_Evil_Camp02, 24833.21, 62245.89, 45.00, 0);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 25500.00, 63000.00, 0.00, 2);
Logic.SetEntityName(Logic.CreateEntity(Entities.CB_RobberyTower1, 25600.00, 61500.00, 0.00, 2),"HQ1BaseNVSpawnGen1")
Logic.CreateEntity(Entities.CB_Evil_Tower1, 26900.00, 60800.00, 0.00, 2);
Logic.CreateEntity(Entities.XD_Evil_Camp02, 26196.62, 59989.70, 225.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 27710.00, 59690.00, 0.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 26510.00, 58498.33, 0.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 28910.00, 61006.45, 0.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 30290.00, 61290.00, 0.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 36090.00, 60110.00, 0.00, 0);
Logic.CreateEntity(Entities.XD_Evil_Camp04, 36510.00, 59290.00, 0.00, 0);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 33400.00, 58200.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinResidence1, 32800.00, 58700.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 32400.00, 59900.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 33700.00, 59100.00, 0.00, 2);
Logic.SetEntityName(Logic.CreateEntity(Entities.CB_RobberyTower1, 34100.00, 56800.00, 270.00, 2),"HQ1BaseNVSpawnGen2")
Logic.CreateEntity(Entities.CB_Evil_Tower1, 33600.00, 55900.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 34800.00, 57200.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinResidence1, 32500.00, 56400.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinHouse1, 32500.00, 56900.00, 270.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 32500.00, 56900.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinHouse1, 33200.00, 55200.00, 270.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 32800.00, 53900.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinMonastery1, 32000.00, 54900.00, 270.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 30700.00, 54700.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 29600.00, 57100.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_Evil_Tower1, 29900.00, 58300.00, 0.00, 2);
Logic.CreateEntity(Entities.CB_DestroyAbleRuinSmallTower1, 30400.00, 56800.00, 0.00, 2);
Logic.SetEntityName(Logic.CreateEntity(Entities.XD_ScriptEntity, 33266.64, 56666.83, 0.00, 2),"HQ1BaseNVSpawn2")
Logic.SetEntityName(Logic.CreateEntity(Entities.XD_ScriptEntity, 25527.48, 60573.90, 0.00, 2),"HQ1BaseNVSpawn1")
Logic.SetEntityName(Logic.CreateEntity(Entities.XD_ScriptEntity, 23286.06, 56569.51, 0.00, 2),"HQ1VCDefPoint")